MMEvents.createStructures(event => {
    event.create("mm:paint_structure")
        .controllerId("mm:paint")
        .name("Paint")
        .layout(a => {
            a.layer([
                "BBB",
                "BBB",
                "BBB"
            ]).layer([
                "BEB",    
                "GHF", 
                "BCB" 
            ]).layer([
                "BBB",    
                "BIB", 
                "BBB"              
            ]).key("A", {
                block: "minecraft:glass"
            }).key("B", {
                block: "kubejs:noir"
            }).key("D", {
                block: "tconstruct:clear_glass"
            }).key("E", {
                block: "mm:energy_paint_input"
            }).key("F", {
                block: "mm:item_paint_input"
            }).key("G", {
                block: "mm:item_paint_output"
            }).key("H", {
                block: "minecraft:stonecutter"
            }).key("I", {
                block: "mm:fluid_input"
            })
        })
})